Bug 234233 - [NEW PORT] net-p2p/lidarr: Music collection manager for Usenet and BitTorrent users
Summary: [NEW PORT] net-p2p/lidarr: Music collection manager for Usenet and BitTorrent...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2018-12-20 22:18 UTC by Michiel van Baak
Modified: 2019-08-28 05:36 UTC (History)
4 users (show)

See Also:
michiel: maintainer-feedback+


Attachments
lidarr-0.5.0.583.diff (4.92 KB, patch)
2018-12-20 22:18 UTC, Michiel van Baak
no flags Details | Diff
lidarr-0.5.0.583.diff (5.28 KB, patch)
2018-12-21 09:40 UTC, Michiel van Baak
no flags Details | Diff
lidarr-0.6.2.883.diff (5.32 KB, patch)
2019-06-05 02:41 UTC, Matt Russi
michiel: maintainer-approval+
Details | Diff
12.0-RELEASE-p5_lidarr-0.6.2.883.log (31.13 KB, text/plain)
2019-06-15 18:28 UTC, Matt Russi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michiel van Baak 2018-12-20 22:18:59 UTC
Created attachment 200321 [details]
lidarr-0.5.0.583.diff

Lidarr is a music collection manager for Usenet and BitTorrent users.
It can monitor multiple RSS feeds for new tracks from your favorite artists and will grab, sort and rename them.
It can also be configured to automatically upgrade the quality of files already downloaded when a better quality format becomes available.

* portlint OK
* testport OK
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-21 02:01:37 UTC
Thank you Michiel

If you could add the port to the net-p2p/Makefile too, that would be great
Comment 2 Michiel van Baak 2018-12-21 09:40:41 UTC
Created attachment 200329 [details]
lidarr-0.5.0.583.diff

This time also added the port to net-p2p/Makefile as requested.
Comment 3 Matt Russi 2019-05-11 23:19:22 UTC
Bump. :) Would love to have this port in place. Is there anything pending?
Comment 4 Matt Russi 2019-06-05 02:41:25 UTC
Created attachment 204831 [details]
lidarr-0.6.2.883.diff

* Updated version to 0.6.2.883
* Added runtime dependency of chromaprint (fpcalc) for audio-fingerprinting. Reference: https://github.com/Lidarr/Lidarr/wiki/Health-checks#fpcalc-missing
* Updated UIDs and GIDs for conflict resolution from the previous patch for lidarr-0.5.0.583.diff
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-05 04:05:59 UTC
If someone could confirm that this port passes QA (portlint, poudriere at least), that would help progressesion. Please fix any issues reported during QA
Comment 6 Michiel van Baak 2019-06-10 09:27:38 UTC
portlint OK
testport OK
Comment 7 Michiel van Baak 2019-06-10 09:28:14 UTC
Thanks for the updated port.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-15 04:40:09 UTC
(In reply to Michiel van Baak from comment #6)

Was this test pass for your patch or the later provided update to 0.6.2.833 ?

If the latter, please approve that patch if youre otherwise happy with it
Comment 9 Matt Russi 2019-06-15 18:28:33 UTC
Created attachment 205081 [details]
12.0-RELEASE-p5_lidarr-0.6.2.883.log

(In reply to Michiel van Baak from comment #7)
Thanks for checking as well!

(In reply to Kubilay Kocak from comment #8)
Uploaded 12.0-RELEASE-p5_lidarr-0.6.2.883.log from 'poudriere testport' if it helps.

* testport OK
Comment 10 Michiel van Baak 2019-06-16 10:59:33 UTC
Comment on attachment 204831 [details]
lidarr-0.6.2.883.diff

Thanks!
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-16 12:02:41 UTC
Thank you both
Comment 12 Matt Russi 2019-07-08 21:25:36 UTC
(In reply to Kubilay Kocak from comment #11)
Hi koobs, is there anything pending for this to be merged? Apologies as I'm not entirely familiar with the process.
Comment 13 Kurt Jaeger freebsd_committer 2019-08-11 07:25:48 UTC
testbuilds@work
Comment 14 Matt Russi 2019-08-25 23:54:23 UTC
(In reply to Kurt Jaeger from comment #13)

Hi Kurt, how do the test builds look?
Comment 15 Kurt Jaeger freebsd_committer 2019-08-27 16:27:48 UTC
I'll rerun the testbuilds, it seems I deleted the old results already.
Comment 16 Kurt Jaeger freebsd_committer 2019-08-28 05:36:12 UTC
Committed, thanks!
Comment 17 commit-hook freebsd_committer 2019-08-28 05:36:17 UTC
A commit references this bug:

Author: pi
Date: Wed Aug 28 05:36:00 UTC 2019
New revision: 510043
URL: https://svnweb.freebsd.org/changeset/ports/510043

Log:
  New port: net-p2p/lidarr

  Lidarr is a music collection manager for Usenet and BitTorrent users.

  It can monitor multiple RSS feeds for new tracks from your favorite
  artists and will grab, sort and rename them.
  It can also be configured to automatically upgrade the quality of
  files already downloaded when a better quality format becomes
  available.

  It looks and smells like Sonarr but made for music.

  WWW: https://lidarr.audio

  PR:		234233
  Submitted by:	Michiel van Baak <michiel@vanbaak.eu>, Matt Russi <mrussi@gmail.com>

Changes:
  head/GIDs
  head/UIDs
  head/net-p2p/Makefile
  head/net-p2p/lidarr/
  head/net-p2p/lidarr/Makefile
  head/net-p2p/lidarr/distinfo
  head/net-p2p/lidarr/files/
  head/net-p2p/lidarr/files/lidarr.in
  head/net-p2p/lidarr/pkg-descr